Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # RandomAccess2DImageViewConcept Struct Template Reference [ImageView2DConcept] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename View> struct boost::gil::RandomAccess2DImageViewConcept< View > 2-dimensional view over immutable values
    concept RandomAccess2DImageViewConcept<RandomAccessNDImageViewConcept View> {
        where num_dimensions==2;

        typename x_iterator = axis<0>::iterator;
        typename y_iterator = axis<1>::iterator;
        typename x_coord_t  = axis<0>::coord_t;
        typename y_coord_t  = axis<1>::coord_t;
        typename xy_locator = locator;

        x_coord_t View::width()  const;
        y_coord_t View::height() const;

        // X-navigation
        x_iterator View::x_at(const point_t&) const;
        x_iterator View::row_begin(y_coord_t) const;
        x_iterator View::row_end  (y_coord_t) const;

        // Y-navigation
        y_iterator View::y_at(const point_t&) const;
        y_iterator View::col_begin(x_coord_t) const;
        y_iterator View::col_end  (x_coord_t) const;

        // navigating in 2D
        xy_locator View::xy_at(const point_t&) const;

        // (x,y) versions of all methods taking point_t
        View::View(x_coord_t,y_coord_t,const locator&);
        iterator View::at(x_coord_t,y_coord_t) const;
        reference operator()(View,x_coord_t,y_coord_t) const;
        xy_locator View::xy_at(x_coord_t,y_coord_t) const;
        x_iterator View::x_at(x_coord_t,y_coord_t) const;
        y_iterator View::y_at(x_coord_t,y_coord_t) const;
    };
## Public Member Functions
void | constraints ()
## Public Attributes
View | view
The documentation for this struct was generated from the following file: gil_concept.hpp